Status: Closed Start date: 08 Mar 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 20.00 hours

Target version: CoCoA-5.2.4 Spent time: 8.20 hours

Description

Design a way to load into the online manual extra entries (say, for new packages by users).

For example append entries written in another xml file, or encoded within a cocoa5 package.

Related issues:

Related to CoCoA-5 - Support #406: Manual for CoCoAManual/CoCoAHelp.xml Closed 10 Oct 2013

History

#1 - 08 Mar 2018 10:10 - Anna Maria Bigatti

[Elisa Palezzato and Michele Torielli are developing new packages (for the school in Japan) and would like to test the manual entries they wrote.]

Probably the easiest is to append extra files.  The syntax could be

ReloadMan();  // for the official manual only

ReloadMan(["path1/file1.xml", "path2/file2.xml"]);  // official manual + file1 + file2

Forcing the complete reload of all files of interest in one block, instead of just loading the extra files one at a time, allows detecting a duplicate

entry(and throw an error).

#2 - 08 Mar 2018 15:00 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 50

Implemented (and also done a little cleaning in OnlineHelp.H and C)

Example:

/**/ ReloadMan(["/Users/bigatti/Dropbox/BigPalTor/Arrangements of Hyperplanes/prova-man.xml"]);

#3 - 08 Mar 2018 18:15 - Anna Maria Bigatti

While doing some cleaning and minor re-designing, I introduced a bunch of silly bugs.

Now all fixed.

cvs-ed and made a new cocoa-5 for Mac downloadable fron web-site.
#4 - 30 Jul 2018 14:10 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

#5 - 01 Oct 2019 14:05 - John Abbott

The manual entry for ReloadMan needs to be updated, assuming that the impl is meant to be public.

#6 - 04 Oct 2019 16:50 - Anna Maria Bigatti

updated manual

#7 - 10 Oct 2019 19:26 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#8 - 02 Mar 2022 16:18 - Anna Maria Bigatti

- Related to Support #406: Manual for CoCoAManual/CoCoAHelp.xml added
